<template>
  <!-- 成绩单 主页面-->
  <div>
    <TranscriptTotal v-if="isTotalScore" />
    <TranscriptSingle v-else />
  </div>
</template>

<script>

import TranscriptSingle from "@/views/analysisReport/studentPage/scrolReport/transcript_single";//单科的G组分析
import TranscriptTotal from "@/views/analysisReport/studentPage/scrolReport/transcript_total";//单科的G组分析


export default {
  components: {
    TranscriptSingle,
    TranscriptTotal
  },
  computed: {
    isTotalScore(){
      return this.$store.state.report.isTotalScore;
    }
  },
  data() {
    return {
    };
  },
  created() 
  {
    
  },
  mounted() {
  },
  methods:
  {
  },
};
</script>
<style scoped lang="scss">

</style>
